apiVersion: v1
kind: ConfigMap
metadata:
  name: hapster-cm
data:
  # Laravel App
  APP_NAME: Hapster
  APP_ENV: "{{.Values.laravel.env}}"
  APP_DEBUG: "false"
  APP_URL: "{{ .Values.laravel.appURL }}"
  KEYCLOAK_REALM: master
  KEYCLOAK_URL: http://keycloak-svc:8080
  KEYCLOAK_LOAD_USER_FROM_DATABASE: "true"
  KEYCLOAK_ALLOWED_RESOURCES: account
  KEYCLOAK_IGNORE_RESOURCES_VALIDATION: "false"
  KEYCLOAK_APPEND_DECODED_TOKEN: "false"
  LOG_CHANNEL: stack
  LOG_DEPRECATIONS_CHANNEL: "null"
  LOG_LEVEL: debug
  DB_CONNECTION: pgsql
  DB_HOST: laravel-db-sts-0.laravel-db-svc
  DB_PORT: "5432"
  DB_DATABASE: "{{ .Values.laravelDatabase.db }}"
  MAIL_MAILER: "{{ .Values.mailConfiguration.protocol }}"
  MAIL_HOST: "{{ .Values.mailConfiguration.host }}"
  MAIL_PORT: "{{ .Values.mailConfiguration.port }}"
  MAIL_ENCRYPTION: "{{ .Values.mailConfiguration.encryption }}"
  MAIL_FROM_ADDRESS: "{{ .Values.mailConfiguration.sender }}"
  MAIL_FROM_NAME: "{{ .Values.mailConfiguration.senderPrettyName }}"
  QUEUE_CONNECTION: database
  SESSION_DRIVER: redis
  SESSION_LIFETIME: "120"
  CACHE_DRIVER: redis
  REDIS_HOST: redis-svc
  REDIS_PORT: "6379"
  LRS_URL: http://lrs-svc/submit
  LOG_SLACK_WEBHOOK_URL: "{{ .Values.laravel.slackHook }}"
  TRANSLATE_ENGINE_URL: http://translation-svc.t2ts:5000/submit
  HADOOP_HDFS_URL: "{{ .Values.laravel.hadoopURL }}"
  HADOOP_HDFS_PORT: "{{ .Values.laravel.hadoopPort }}"
  HADOOP_HDFS_ROOT: "{{ .Values.laravel.hadoopRootDir }}"

  # Laravel

  # Keycloak
  KC_DB: postgres
  KC_DB_URL: jdbc:postgresql://keycloak-db-sts-0.keycloak-db-svc:5432/{{ .Values.keycloakDatabase.db }}
  KC_POSTGRES_DB: "{{ .Values.keycloakDatabase.db }}"
  KC_HOSTNAME: "{{ .Values.keycloak.hostName }}"

  # Nextjs
  HOST_URL: "{{ .Values.nextjs.hostURL }}"
